#ifndef RESTAURANT_H
#define RESTAURANT_H

#include <QWidget>
#include <QTimer>
#include <QDebug>
#include "custom.h"

class Restaurant : public QWidget
{
    Q_OBJECT
public:
    explicit Restaurant(QWidget *parent = nullptr);

public slots:
    // 接单的处理槽函数
    void receiveOrder(QString name, int n);

signals:
    void okOrder(); // 完成菜品

};

#endif // RESTAURANT_H
